CVE-2009-2696

MEDIUM

Description

Cross-site scripting (XSS) vulnerability in jsp/cal/cal2.jsp in the calendar application in the examples web application in Apache Tomcat on Red Hat Enterprise Linux 5, Desktop Workstation 5, and Linux Desktop 5 allows remote attackers to inject arbitrary web script or HTML via the time parameter, related to "invalid HTML." NOTE: this is due to a missing fix for CVE-2009-0781.

References

http://secunia.com/advisories/40813

http://www.redhat.com/support/errata/RHSA-2010-0580.html

http://www.vupen.com/english/advisories/2010/1986

https://bugzilla.redhat.com/show_bug.cgi?id=616717

Details

Source: MITRE

Published: 2010-08-05

Updated: 2016-10-27

Type: CWE-79

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: (AV:N/AC:M/Au:N/C:N/I:P/A:N)

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM